%global checkout 20111215git599996d

Name:           libarea
# version found in ./debian/changelog
Version:        0.0.2
Release:        0.1.%{checkout}%{?dist}
Summary:        Library that allows for creating tool paths for pocketing
Group:          Applications/Engineering
License:        BSD
URL:            https://github.com/Heeks/libarea
#fedora-getsvn libarea https://github.com/Heeks/libarea.git/trunk HEAD
Source0:        %{name}-svnHEAD.tar.bz2
#CMakeLists.txt: call get_python_lib() arch-aware
Patch0:         cmake_python_site_dir_arch_specific.patch

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  python-devel


%description
LibAREA is a library that allows for creating tool paths for pocketing.


%package devel
Summary:    Libraries and header files for the %{name} library
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other resources needed 
for developing %{name} applications.


%prep
%setup -q -n %{name}
%patch0 -p0


%build
%{cmake} .
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Move header files to proper places
for dir in . pocket kurve kbool/include
do
   install -d  %{buildroot}%{_includedir}/%{name}/$dir
   find $dir -maxdepth 1 -name "*.h" -exec mv {} %{buildroot}%{_includedir}/%{name}/$dir/ \;;
done


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README
%{python_sitearch}/area.so

%files devel
%{_includedir}/%{name}


%changelog
* Thu Dec 15 2011 Chris Spike <spike@fedoraproject.org> 0.0.2-0.1.20111215git599996d
- Initial version of the package